@echo off
setlocal ENABLEDELAYEDEXPANSION
rem bsr_00_r-RU.txt, etc.
set SOURCES=..\..
rem Directory with T_WORLD.exe (CD-ROM files).
set OUTPUT=..\..\Game
set RUBY=ruby
rem Old Ruby versions don't support running from arbitrary location so if you've
rem downloaded the archive and not the installer, extract it to here:
set RUBY=C:\ruby-1.9.3-p551-i386-mingw32\bin\ruby.exe
pushd %~dp0
del /q "%OUTPUT%\True World - *.*"
set mask=%1
if "%1" == "" set mask=?? ??-*
for /d %%d in (%mask%) do (
  echo.                == %%d ==
  pushd %%d
  del /q *.sjs
  set DIR=%%d
  set NO_R=
  if "!DIR:~-5!" == "-meme" set NO_R="..\%SOURCES%\*_r-!DIR:~0,2!.txt"
  for %%f in ("..\%SOURCES%\*-%%d.txt" !NO_R!) do (
    ..\..\utf2sjs "%%f"
    if !errorlevel! neq 0 (
      echo Error in %%f
      goto :end
    )
    set fn=%%~nf
    set fn=!fn:-EN=!
    set fn=!fn:-RU=!
    set fn=!fn:-meme=!
    move /y %%~nf.sjs !fn!.sjs
  )
  xcopy /q /y "..\%OUTPUT%\AdvData\MES\*.mes" .
  "%RUBY%" ..\..\MES.rb .
  del /q DLL.res EXE.res *.mes~
  brcc32 DLL.rc
  brcc32 EXE.rc
  popd
  echo >IncludeEXE.pas {$R %%d\EXE.res}
  echo >IncludeDLL.pas {$R %%d\DLL.res}
  echo >IncludeCommon.pas {$I %%d\IncludeCommon.pas}
  rem Without -B resources are not always updated.
  dcc32 -B -Q Translate.dpr
  dcc32 -B -Q Translation.dpr
  rename "%OUTPUT%\Translate.exe" "True World - %%d.exe"
  rename "%OUTPUT%\Translation.dll" "True World - %%d.dll"
)
:end
popd