#!/bin/bash
BODY=$1
shift
IDS=$*

if [ -z "$BODY" ] || [ $# -lt 2 ] || [ "$(expr $# / 2 \* 2)" -ne $# ]; then
  echo "$0 body lineN1 artN1[ lineN2 artN2[ ...]]"
  exit 1
fi

SALT='M@RbLeC@KeG@Me'
HASH=($(echo -n "$(sed -r 's/( \S+)( )/\1,/g' <<<$IDS),$SALT" | sha512sum))
HASH=${HASH[0]}

WIN_MARK='ZomG U WiN! '
echo $WIN_MARK$BODY | openssl aes-256-cbc -K "${HASH:0:64}" -iv "${HASH:64:32}"
